Show manage consumer
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/manage-consumers/{consumer} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-consumers/{consumer}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/manage-consumers/{consumer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"first_name": "Donna",
"last_name": "Weaver",
"consumer_name": "Donna Weaver",
"dob": "1969-01-12",
"dob_label": "Jan 12, 1969",
"last4ssn": "3332",
"address": {
"address": "123 Main Street",
"city": "Los Angeles",
"state": "CA",
"zip": "90001",
"full": "123 Main Street, Los Angeles, CA, 90001"
},
"notice_responses": {
"pending_delivery_count": 1,
"delivered_response_count": 1,
"added_response_count": 1,
"returned_response_count": 2
},
"communication_profile": {
"label": "Both",
"email_permission": true,
"text_permission": true,
"is_communication_updated": true,
"recipient_email": "donna.profile@example.com",
"recipient_phone": "8186017451",
"recipient_phone_label": "(818) 601-7451"
}
}
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}Show manage consumer
Show the EcoMail Hub consumer profile summary, communication profile, and split notice-response counts for the selected grouped identity.
GET
/
manage-consumers
/
{consumer}
Show manage consumer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Representative consumer ID from the manage consumers list.
Response
Consumer detail summary returned.
Show child attributes
Show child attributes
Last modified on July 19, 2026
Was this page helpful?
⌘I

